const EditableCell = {
  template: `
      <div class="editable-cell">
        <div class="editable-cell-input-wrapper">
          <a-input :value="value" @change="handleChange" @pressEnter="check">
            <a-icon
              type="check"
              slot="suffix"
              :style="{color: editable?'#08c':'#666' }"
              @click="check"
            />
          </a-input>
        </div>
      </div>
    `,
  props: {
    text: String,
  },
  data() {
    return {
      value: this.text,
      editable: false,
    };
  },
  methods: {
    handleChange(e) {
      const value = e.target.value;
      this.value = value;
      this.editable = true
    },
    check() {
      if(this.editable){
        this.editable = false;
        this.$emit('change', this.value);
      }
    },
  },
};

export default EditableCell